Eclipse çalışmıyor 16.04

58

Eclipse 14.04'te her şey kadar iyi çalışıyordu. Temiz bir 16.04 yüklemesi yaptım ve Eclipse'i kurdum. Ancak, bir Java programını sadece bir kez çalıştırdıktan sonra kaldırır ve yeniden yüklemeden önce sonraki denemeler sırasında askıda kalıyor. Birçok şeyi denedim, çünkü başlangıçta CDT'ye de ihtiyacım vardı. Şu anda, sadece tutulma ile ilgili her şeyi kaldırmak ve yeni bir yükleme yapmak istiyorum (tüm yapılandırmaları ve bağımlılıkları kaldırın). Eclipse'i yüklemek için Eclipse yükleyicisini kullandım ve tutulma simgesi de görünmüyor (varsayılan ubuntu? Görünmektedir).

    
sordu Ankur Lathwal 24.04.2016 05:55

7 cevap

114

16.04 ve Eclipse Mars ile aynı şeyi yaptım. Dondurulmuştu sanıyordum ama aslında çok yavaş çalışıyordu. Sorun, 16.04 ile sevk edilen GTK + 3 sürümüdür. Neyse ki çözüm çok kolay. Bir terminal açın ve export SWT_GTK3=0 yazıp terminalden Eclipse'i başlatın. Bu işe yararsa, daha kalıcı bir düzeltme, 2 satırını aşağıda göründüğü gibi altına koymaktır.% Co_de%:

--launcher.GTK_version
2

satırdan önce:

--launcher.appendVmargs

Hata, Ubuntu ile hata 1552764 adresinde yayınlandı

    
verilen cevap NickT 24.04.2016 09:50
5

Bahşiş için teşekkürler.

Gerekli java versiyonunu değiştirmem gerekiyordu:

-Dosgi.requiredJavaVersion=1.7

içine

-Dosgi.requiredJavaVersion=1.8

ve bu satırı da kaldırın:

-XX:MaxPermSize=256m

Mutlu kodlama!

    
verilen cevap staplr 30.04.2016 15:54
3

Aşağıdaki gibi eclipse.desktop düzenleyin:

Exec=env SWT_GTK3=0 eclipse
    
verilen cevap Haozhe Xie 30.04.2016 05:58
1

Benim önerim, Eclipse Mars'ı web sayfasından kurmanız: İşte

Ama önce java8'i yüklemelisin (java9 değil, çünkü Eclipse Mars bu sürümle çalışmıyor). Ubuntu'da şunları yapabilirsiniz: sudo apt-get install openjdk-8-jre openjdk-8-jdk

'dir.

Ve sonra .. ve diğer java sürümünüz varsa, bu komutla java8'i seçmeniz gerekir: sudo güncelleme alternatifleri --config java

Voilà! Bu benim için çalıştı! :)

    
verilen cevap Gonzalo 16.05.2016 05:30
0

Uygulamayı komut satırından (terminalden) başlatarak, programın neden başlayamadığı hakkında daha fazla bilgi almak bazen mümkündür. Örneğin (tutulmanın yolunuzda olduğu varsayılırsa, aksi halde kurulduğu / açıldığı klasörden başlatılır):

[email protected]:~$ eclipse
Unrecognized VM option 'MaxPermSize=256m'
Error: Could not create the Java Virtual Machine.
Error: A fatal exception has occurred. Program will exit.

Bu durumda satır gibi görünüyor

-XX:MaxPermSize=256m

dosyasında eclipse.ini problemi. Sadece bu satırı kaldırın (önce eclipse.ini dosyasının bir yedeğini oluşturun) ve programı tekrar başlatmayı deneyin.

Yukarıdaki çözüm, 15.10'dan 16.04'e yükseltilmiş bir makinede Eclipse Version: Mars.2 Release (4.5.2) tarihinde çalıştı

    
verilen cevap Ronny Andersson 02.05.2016 00:44
0

Görünüşe göre bu, Ubuntu 16.04'te bilinen bir hata . Bu sadece tutulmayı değil, diğer bazı uygulamaları da etkiler.

Düzeltme işleminden önce burada çalışan hızlı bir düzeltme var. Terminali aç ve

yaz
$ initctl restart unity-panel-service

Bu mevcut oturum için Menüler geri getirecek. Fakat makinenizi yeniden başlatırsanız bunu tekrar yapmak isteyebilirsiniz.

    
verilen cevap Anonymous Platypus 29.11.2016 10:57
0

libjavascriptcoregtk-4.0 veya WTFCrash için bir hata alıyorsanız, libwebkitgtk-3.0-0 yüklemeyi deneyin:

sudo apt install libwebkitgtk-3.0-0

    
verilen cevap wisbucky 26.01.2018 01:45

Etiketlerdeki diğer soruları oku